## mindthegap 2.2.2

=== CMakeLists.txt ===
################################################################################
 #   MindTheGap: Integrated detection and assembly of insertion variants
 #   A tool from the GATB (Genome Assembly Tool Box)
 #   Copyright (C) 2014  INRIA
 #   Authors: C.Lemaitre, G. Rizk
 #
 #  This program is free software: you can redistribute it and/or modify
 #  it under the terms of the GNU Affero General Public License as
 #  published by the Free Software Foundation, either version 3 of the
 #  License, or (at your option) any later version.
 #
 #  This program is distributed in the hope that it will be useful,
 #  but WITHOUT ANY WARRANTY; without even the implied warranty of
 #  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 #  GNU Affero General Public License for more details.
 #
 #  You should have received a copy of the GNU Affero General Public License
 #  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ################################################################################

project(MindTheGap)

cmake_minimum_required(VERSION 3.1)

################################################################################
# The version number.
################################################################################
# The default version number is the latest official build
SET (gatb-tool_VERSION_MAJOR 2)
SET (gatb-tool_VERSION_MINOR 2)
SET (gatb-tool_VERSION_PATCH 2)

# But, it is possible to define another release number during a local build
IF (DEFINED MAJOR)
    SET (gatb-tool_VERSION_MAJOR ${MAJOR})
ENDIF()
IF (DEFINED MINOR)
    SET (gatb-tool_VERSION_MINOR ${MINOR})
ENDIF()
IF (DEFINED PATCH)
    SET (gatb-tool_VERSION_PATCH ${PATCH})
ENDIF()

set (gatb-tool-version ${gatb-tool_VERSION_MAJOR}.${gatb-tool_VERSION_MINOR}.${gatb-tool_VERSION_PATCH})

# However, continuous integration has priority over local compilation
IF (DEFINED JENKINS_TAG)
    SET (gatb-tool-version ${JENKINS_TAG})
ENDIF()

################################################################################
# Define cmake modules directory
################################################################################
SET (GATB_CORE_HOME  ${PROJECT_SOURCE_DIR}/thirdparty/gatb-core/gatb-core)
SET (CMAKE_MODULE_PATH ${GATB_CORE_HOME}/cmake)

################################################################################
# SUPPORTED KMER SIZES
################################################################################

# One can uncomment this line and set the wanted values
#set (KSIZE_LIST "32   64   96  128  160  192  224  256")

################################################################################
# THIRD PARTIES
################################################################################

# We don't want to install some GATB-CORE artifacts
#SET (GATB_CORE_EXCLUDE_TOOLS     1)
SET (GATB_CORE_EXCLUDE_TESTS     1)
SET (GATB_CORE_EXCLUDE_EXAMPLES  1)

# GATB CORE
include (GatbCore)

################################################################################
# TOOL
################################################################################


# We also set a flag for TR1 management
if (use_new_cxx)
    set (CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -DUSE_NEW_CXX ")
endif()
 
message("-- cxx: ${CMAKE_CXX_FLAGS}")



# we get compilation definitions from the gatb-core part
add_definitions (${gatb-core-flags})

# SET( CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -Wall -Wextra" )
SET( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0")

# we give the headers directories from : 
#       - from project source 
#       - from GATB-CORE source
#       - from dsk source 
set (PROGRAM_SOURCE_DIR ${PROJECT_SOURCE_DIR}/src)

include_directories (${PROGRAM_SOURCE_DIR} ${gatb-core-includes})

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

# we define the files to be compiled
file (GLOB  ProjectFiles  src/*)


# we define the artifact to be built: the project binary
add_executable        (${PROJECT_NAME}  src/main.cpp ${ProjectFiles})
add_executable(nwalign src/nwAlign/nwalign.cpp)

# we define which libraries to be linked with project binary
target_link_libraries (${PROJECT_NAME}  ${gatb-core-libraries})
target_link_libraries (nwalign  ${gatb-core-libraries})



################################################################################
#  PACKAGING 
################################################################################

# We set the version number
SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY  "gatb-tool ${PROJECT_NAME}")
SET (CPACK_PACKAGE_VENDOR               "Genscale team (INRIA)")
SET (CPACK_PACKAGE_VERSION_MAJOR        "${gatb-tool_VERSION_MAJOR}")
SET (CPACK_PACKAGE_VERSION_MINOR        "${gatb-tool_VERSION_MINOR}")
SET (CPACK_PACKAGE_VERSION_PATCH        "${gatb-tool_VERSION_PATCH}")
SET (CPACK_PACKAGE_VERSION              "${gatb-tool-version}")  

# We set the kind of archive
SET (CPACK_GENERATOR                    "TGZ")
SET (CPACK_SOURCE_GENERATOR             "TGZ")

# We ignore unwated files for the source archive
SET (CPACK_SOURCE_IGNORE_FILES          
    "^${PROJECT_SOURCE_DIR}/\\.git/"     ;
    "^${PROJECT_SOURCE_DIR}/\\.gitmodules"  ;
    "^${PROJECT_SOURCE_DIR}/\\.gitignore";
    "^${PROJECT_SOURCE_DIR}/build/"  ;
    "^${GATB_CORE_HOME}/\\.cproject" ;
    "^${GATB_CORE_HOME}/\\.git/"     ;
    "^${GATB_CORE_HOME}/\\.project"  ;
    "^${GATB_CORE_HOME}/\\.gitignore";
    "^${GATB_CORE_HOME}/doc/design"  ;
    "^${GATB_CORE_HOME}/DELIVERY.md"
)

# We copy the project binary to the 'bin' directory
INSTALL (TARGETS   ${PROJECT_NAME}                           DESTINATION bin)
INSTALL (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/test          DESTINATION .)
INSTALL (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/data          DESTINATION .)
#INSTALL (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/doc           DESTINATION .)
INSTALL (FILES     ${CMAKE_CURRENT_SOURCE_DIR}/README.md     DESTINATION .)
INSTALL (FILES     ${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG.md     DESTINATION .)
INSTALL (FILES     ${CMAKE_CURRENT_SOURCE_DIR}/LICENSE       DESTINATION .)

# We include the "bin" tag into binary archive file name
set (CPACK_PACKAGE_FILE_NAME  ${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}-bin-${CMAKE_SYSTEM_NAME})

include (CPack)

=== debian/changelog ===
mindthegap (2.2.2-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jun 2020 08:11:54 +0200

mindthegap (2.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #931826)

 -- Shayan Doust <hello@shayandoust.me>  Tue, 02 Jul 2019 13:41:39 +0100

=== debian/control ===
Source: mindthegap
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libgatbcore-dev,
               libboost-dev,
               zlib1g-dev,
               libhdf5-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/mindthegap
Vcs-Git: https://salsa.debian.org/med-team/mindthegap.git
Homepage: https://github.com/GATB/MindTheGap
Rules-Requires-Root: no

Package: mindthegap
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgatbcore3
Description: performs detection and assembly of DNA insertion variants in NGS read datasets
 Designed to call insertions of any size, whether they are novel or
 duplicated, homozygous or heterozygous in the donor genome. It takes as
 input a set of reads and a reference genome. It outputs two sets of
 FASTA sequences: one is the set of breakpoints of detection insertion
 sites, the other is the set of assembled insertions for each
 breakpoint. MindTheGap can also be used as a genome assembly finishing
 tool. It can fill the gaps between a set of input contigs without any a
 priori on their relative order and orientation. It outputs the results
 in gfa file.

Package: mindthegap-examples
Architecture: all
Depends: ${misc:Depends},
	 python3,
         bsdextrautils | bsdmainutils (<< 12.1.1~)
Recommends: mindthegap
Description: optional scripts and example resources for mindthegap
 Designed to call insertions of any size, whether they are novel or
 duplicated, homozygous or heterozygous in the donor genome. it takes
 as input a set of reads and a reference genome. It outputs two sets
 of FASTA sequences: one is the set of breakpoints of detection
 insertion sites, the other is the set of assembled insertions for
 each breakpoint. MindTheGap can also be used as a genome assembly
 finishing tool. It can fill the gap between a set of input contigs
 without any a priori on their relative order and orientation. It
 outputs the results in gfa file. Please note that this package is
 meant to accommodate the mindthegap package and only acts as example
 to how this package can be utilised.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

=== debian/watch ===
version=4

https://github.com/GATB/MindTheGap/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## mindthegap 2.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # The default version number is the latest official build
 SET (gatb-tool_VERSION_MAJOR 2)
 SET (gatb-tool_VERSION_MINOR 2)
-SET (gatb-tool_VERSION_PATCH 2)
+SET (gatb-tool_VERSION_PATCH 3)
 
 # But, it is possible to define another release number during a local build
 IF (DEFINED MAJOR)

=== debian/changelog ===
mindthegap (2.2.3-4) unstable; urgency=medium

  * Team upload
  * Versioned (Build-)Depends: libgatbcore* (>= 1.4.2+dfsg-7)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Dec 2021 07:02:36 +0100

mindthegap (2.2.3-3) unstable; urgency=medium

  * Team upload.
  * Normalize watch file
  * Apply multi-arch hints.
    + mindthegap-examples: Add :any qualifier for python3 dependency.

 -- Andreas Tille <tille@debian.org>  Sat, 11 Dec 2021 16:33:23 +0100

mindthegap (2.2.3-2) UNRELEASED; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github

 -- Andreas Tille <tille@debian.org>  Sat, 11 Dec 2021 16:31:42 +0100

mindthegap (2.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * d/watch: Fix watch regex

 -- Nilesh Patra <nilesh@debian.org>  Tue, 21 Sep 2021 21:08:31 +0530

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libgatbcore-dev,
+               libgatbcore-dev (>= 1.4.2+dfsg-7),
                libboost-dev,
                zlib1g-dev,
                libhdf5-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/mindthegap
 Vcs-Git: https://salsa.debian.org/med-team/mindthegap.git
 Homepage: https://github.com/GATB/MindTheGap
@@ -19,7 +19,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgatbcore3
+         libgatbcore3 (>= 1.4.2+dfsg-7)
 Description: performs detection and assembly of DNA insertion variants in NGS read datasets
  Designed to call insertions of any size, whether they are novel or
  duplicated, homozygous or heterozygous in the donor genome. It takes as
@@ -34,7 +34,7 @@
 Package: mindthegap-examples
 Architecture: all
 Depends: ${misc:Depends},
-	 python3,
+	 python3:any,
          bsdextrautils | bsdmainutils (<< 12.1.1~)
 Recommends: mindthegap
 Description: optional scripts and example resources for mindthegap

## mindthegap 2.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,8 +27,8 @@
 ################################################################################
 # The default version number is the latest official build
 SET (gatb-tool_VERSION_MAJOR 2)
-SET (gatb-tool_VERSION_MINOR 2)
-SET (gatb-tool_VERSION_PATCH 3)
+SET (gatb-tool_VERSION_MINOR 3)
+SET (gatb-tool_VERSION_PATCH 0)
 
 # But, it is possible to define another release number during a local build
 IF (DEFINED MAJOR)

=== debian/changelog ===
mindthegap (2.3.0-5) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4
    Closes: #1113288
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 19 Oct 2025 19:14:03 +0200

mindthegap (2.3.0-4) unstable; urgency=medium

  * fix-use-as-function.patch: new: fix build failure with gcc-14.
    (Closes: #1075273)
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: add myself to uploaders.
  * d/salsa-ci.yml: do not test build on i386 due to missing dependency.

 -- Étienne Mollier <emollier@debian.org>  Fri, 06 Sep 2024 21:01:08 +0200

mindthegap (2.3.0-3) unstable; urgency=medium

  * Team upload.
  * Add loong64 binary output for Loongarch
    Closes: #1059963

 -- Andreas Tille <tille@debian.org>  Sat, 06 Jan 2024 11:36:54 +0100

mindthegap (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Only build on architectures supported by gatb-core.
    (Closes: #1031531)
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 17 Feb 2023 17:54:57 -0500

mindthegap (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.0
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 May 2022 11:15:45 +0530

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: mindthegap
+Standards-Version: 4.7.2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Shayan Doust <hello@shayandoust.me>
+Uploaders:
+ Shayan Doust <hello@shayandoust.me>,
+ Étienne Mollier <emollier@debian.org>,
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               cmake,
-               libgatbcore-dev (>= 1.4.2+dfsg-7),
-               libboost-dev,
-               zlib1g-dev,
-               libhdf5-dev
-Standards-Version: 4.6.0
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ libgatbcore-dev,
+ libboost-dev,
+ zlib1g-dev,
+ libhdf5-dev,
 Vcs-Browser: https://salsa.debian.org/med-team/mindthegap
 Vcs-Git: https://salsa.debian.org/med-team/mindthegap.git
 Homepage: https://github.com/GATB/MindTheGap
 Rules-Requires-Root: no
 
 Package: mindthegap
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libgatbcore3 (>= 1.4.2+dfsg-7)
+Architecture: any-amd64 arm64 loong64 mips64el ppc64el ia64 ppc64 riscv64 sparc64 alpha
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libgatbcore3,
 Description: performs detection and assembly of DNA insertion variants in NGS read datasets
  Designed to call insertions of any size, whether they are novel or
  duplicated, homozygous or heterozygous in the donor genome. It takes as
@@ -33,10 +37,12 @@
 
 Package: mindthegap-examples
 Architecture: all
-Depends: ${misc:Depends},
-	 python3:any,
-         bsdextrautils | bsdmainutils (<< 12.1.1~)
-Recommends: mindthegap
+Depends:
+ ${misc:Depends},
+ python3:any,
+ bsdextrautils,
+Recommends:
+ mindthegap,
 Description: optional scripts and example resources for mindthegap
  Designed to call insertions of any size, whether they are novel or
  duplicated, homozygous or heterozygous in the donor genome. it takes

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
Version: 5

Template: Github
Owner: GATB
Project: MindTheGap
